/// <reference types="node" />
import { SimpleHttpClientInterface, SimpleHttpClientRequestConfig, SimpleHttpClientResponseInterface } from "ts-simple-interfaces";
export declare class MockSimpleHttpClient implements SimpleHttpClientInterface {
    protected responses: {
        [key: string]: Array<SimpleHttpClientResponseInterface | NodeJS.ErrnoException>;
    };
    protected _requests: Array<SimpleHttpClientRequestConfig>;
    setNextResponse(key: string, response: SimpleHttpClientResponseInterface | NodeJS.ErrnoException): void;
    request<T = any>(config: SimpleHttpClientRequestConfig): Promise<SimpleHttpClientResponseInterface<T>>;
    resetRequestLog(): void;
    get requestLog(): SimpleHttpClientRequestConfig[];
}
