import { SimpleLoggerInterface } from "ts-simple-interfaces";
declare type Opts = {
    outputMessages?: boolean;
};
export declare class MockSimpleLogger implements SimpleLoggerInterface {
    protected _loggedMessages: string[];
    readonly opts: Opts;
    constructor(opts?: Opts);
    setOpt<T extends keyof Opts>(opt: T, val: Opts[T]): void;
    get messages(): string[];
    match(re: RegExp | string): boolean;
    clear(): this;
    emergency(message: string, ...meta: any[]): this;
    critical(message: string, ...meta: any[]): this;
    alert(message: string, ...meta: any[]): this;
    error(message: string, ...meta: any[]): this;
    warning(message: string, ...meta: any[]): this;
    notice(message: string, ...meta: any[]): this;
    info(message: string, ...meta: any[]): this;
    debug(message: string, ...meta: any[]): this;
    log(level: string, message: string, ...meta: any[]): this;
}
export {};
